# sc::ForceLinkBase< A > Class Template Reference

This, together with ForceLink, is used to force code for particular classes to be linked into executables. More...

`#include <class.h>`

Inheritance diagram for sc::ForceLinkBase< A >:

List of all members.

## Public Member Functions

virtual DescribedClass * | create (A)=0

## Detailed Description

### template<class A>
class sc::ForceLinkBase< A >

This, together with ForceLink, is used to force code for particular classes to be linked into executables.

The documentation for this class was generated from the following file:

- class.h